# taper module not in fedora yet
%global enable_tests 0
%global module_name got

Name:           nodejs-%{module_name}
Version:        3.3.0
Release:        2%{?dist}
Summary:        Simplified HTTP/HTTPS requests

License:        MIT
URL:            https://github.com/sindresorhus/got
Source0:        https://github.com/sindresorhus/got/archive/v%{version}.tar.gz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%description
Simplified HTTP/HTTPS requests. A nicer interface to the built-in http module.
It also supports following redirects and automagically handling gzip/deflate.

%prep
%setup -q -n %{module_name}-%{version}
rm -rf node_modules

%nodejs_fixdep read-all-stream ~3.x
%nodejs_fixdep object-assign ~3.x

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json *.js %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
taper test/test-*.js
%endif

%files
%doc readme.md
%license license
%{nodejs_sitelib}/%{module_name}

%changelog
* Fri Aug 07 2015 Parag Nemade <pnemade AT redhat DOT com> - 3.3.0-2
- Fix read-all-stream, object-assign dependency to 3.x

* Fri Jul 03 2015 Parag Nemade <pnemade AT redhat DOT com> - 3.3.0-1
- Update to 3.3.0

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Feb 03 2015 Parag Nemade <pnemade AT redhat DOT com> - 2.3.2-1
- Update to 2.3.2

* Sun Jan 11 2015 Parag Nemade <pnemade AT redhat DOT com> - 2.3.0-1
- Update to 2.3.0

* Wed Dec 03 2014 Parag Nemade <pnemade AT redhat DOT com> - 2.2.0-1
- Initial packaging

